<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical"
    android:paddingTop="30dp"
    tools:context=".fragments.AddWishListFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:text="@string/create_a_new_wish_list"
            android:textColor="@color/colorRedDark"
            android:textSize="30dp"
            android:textStyle="bold"
            app:layout_constraintTop_toTopOf="parent" />


        <RelativeLayout
            android:id="@+id/layoutWishlist"
            android:layout_width="391dp"
            android:layout_height="99dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@id/textView"
            tools:ignore="MissingConstraints">


            <TextView
                android:id="@+id/textView8"
                android:layout_width="358dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:text="@string/add_wishlist_title"
                android:textSize="20dp" />

            <EditText
                android:id="@+id/titleWishlist"
                android:layout_width="276dp"
                android:layout_height="43dp"
                android:layout_below="@+id/textView8"
                android:layout_centerInParent="true"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:background="@drawable/boarder"
                android:ems="10"
                android:hint="exemple: ma  liste de noël"
                android:inputType="textPersonName"
                android:paddingLeft="10dp" />


        </RelativeLayout>


        <RelativeLayout
            android:id="@+id/layoutCheckWishlist"
            android:layout_width="391dp"
            android:layout_height="99dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@id/layoutWishlist"
            tools:ignore="MissingConstraints">


            <CheckBox
                android:id="@+id/chkPublic"
                android:layout_width="115dp"
                android:layout_height="77dp"
                android:layout_marginStart="100dp"
                android:layout_marginEnd="100dp"
                android:text="@string/chk_public"
                android:textAlignment="center" />
        </RelativeLayout>


        <LinearLayout
            android:id="@+id/layoutAddwishlist"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="30dp"
            android:layout_marginEnd="20dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@id/layoutCheckWishlist"
            app:layout_goneMarginEnd="30dp">


            <Button
                android:layout_margin="10dp"
                android:id="@+id/cancelAddwishlist"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="Cancel"
                android:drawableLeft="@android:drawable/ic_menu_close_clear_cancel" />

            <Button
                android:layout_margin="10dp"
                android:id="@+id/addWishlist"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="Add"
                android:drawableLeft="@android:drawable/ic_input_add" />


        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>

